<script src="./src/js/ol.js" type="text/javascript"></script>

<script>
	var styles = {
		'Point': new ol.style.Style({
			image: new ol.style.Circle({
				radius: 10,
				fill: new ol.style.Fill({
					color: 'rgba(255, 0, 0, 0.6)'
				}),
				stroke: new ol.style.Stroke({
					color: '#fff',
					width: 2
				})
			})
		})
	};

	var styleFunction = function(feature) {
		return styles[feature.getGeometry().getType()];
	};

	var geojsonObject = {
		'type': 'FeatureCollection',
		'crs': {
			'type': 'name',
			'properties': {
				'name': 'EPSG:3857'
		}
		},
		'features': [{
			'type': 'Feature',
			'geometry': {
				'type': 'Point',
				'coordinates': new ol.proj.fromLonLat(
					[<?php echo $lastTrackingPoint["longitude"]; ?>,
					<?php echo $lastTrackingPoint["latitude"]; ?>]
				)
			}
		}]
	};

	var vectorSource = new ol.source.Vector({
		features: (new ol.format.GeoJSON()).readFeatures(geojsonObject)
	});

	var vectorLayer = new ol.layer.Vector({
		source: vectorSource,
		style: styleFunction
	});


	var controls = new ol.control.defaults({
		attributionOptions: ({collapsible: false})
	}).extend([
		new ol.control.ScaleLine(),
		new ol.control.FullScreen()
	]);

	var lastTrackingPoint = ol.proj.fromLonLat(
			[<?php echo $lastTrackingPoint["longitude"]; ?>,
			<?php echo $lastTrackingPoint["latitude"]; ?>]
		);

	var layerMap = new ol.layer.Tile({
		source: new ol.source.OSM()
	});

	if(lastTrackingPoint == 'NaN,NaN')
	{
		var view = new ol.View({
		center: ol.proj.fromLonLat(
			[10, 53.55]),
			zoom: 10
		});
	}
	else
	{
		var view = new ol.View({
			center: lastTrackingPoint,
			zoom: 16
		});
	}


	var map = new ol.Map({
		layers: [layerMap],
		target: 'map',
		controls: controls,
		view: view
	});

	map.addLayer(vectorLayer);
</script>