var socket;
var tryIt = 1;
var trySleep = 3000;
var tryReconnect = 5;

function init()
{
	$("connectedInfo").className = "serverDisconnected";

	try
	{
		socket = new WebSocket(host);

		socket.onopen = function(message)
		{
			$("connectedInfo").className = "serverConnected";

			if(trackerId)
			{
				$("trackerDisconnected").style.display = "block";
			}
		}

		socket.onmessage = function(message)
		{
			matches = message.data.match(/disconnect: (.*)\n/);

			if(matches)
			{
				tryIt = tryReconnect + 1;

				socket.close();
				socket = null;

				// location.reload();
				location = '/logout';
			}
			else
			{
				receiveData(message.data);
			}
		}

		socket.onclose = function(message)
		{
			socket.close();
			socket = null;

			$("connectedInfo").className = "serverDisconnected";
			$("trackerConnected").style.display = "none";
			$("trackerDisconnected").style.display = "block";

			sleep(trySleep);

			if(tryIt <= tryReconnect)
			{
				init();
				tryIt++;
			}
		}

		socket.onerror = function(message)
		{
			console.log('WebSocket Error: ' + message);
			console.log(message);
		}
	}
	catch(ex)
	{
		console.log(ex);
	}
}

function $(id)
{
	return document.getElementById(id);
}

function sleep(milliseconds)
{
	var start = new Date().getTime();

	for(var i = 0; i < 1e7; i++)
	{
		if((new Date().getTime() - start) > milliseconds)
		{
			break;
		}
	}
}