<script src="./src/js/websocket.js" type="text/javascript"></script>

<script>
var host = "ws://<?php echo $_SERVER['SERVER_NAME']; ?>:<?php echo $settings[0]['wsport'] . $_SERVER['PATH_INFO']; ?>";
var trackerId = '<?php echo $_GET['tId']; ?>';
var lastTrackerData = [];
var trackerStatus = [];
var vectorLayer2;

window.onload = init();

function receiveData(inputData)
{
	matches = inputData.match(/trackerId: (.*)\n/);

	if(matches)
	{
		trackerStatus['id'] = matches[1];

		matches = inputData.match(/trackerStatus: (.*)\n/);
		trackerStatus['status'] = matches[1];

		updateTrackerStatus();
	}

	matches = inputData.match(/id: (.*)\n/);

	if(matches)
	{
		lastTrackerData['id'] = matches[1];

		matches = inputData.match(/trackerDeviceId: (.*)\n/);
		lastTrackerData['trackerDeviceId'] = matches[1];

		matches = inputData.match(/recivedTime: (.*)\n/);
		lastTrackerData['recivedTime'] = matches[1];

		matches = inputData.match(/imei: (.*)\n/);
		lastTrackerData['imei'] = matches[1];

		matches = inputData.match(/time: (.*)\n/);
		lastTrackerData['time'] = matches[1];

		matches = inputData.match(/status: (.*)\n/);
		lastTrackerData['status'] = matches[1];

		matches = inputData.match(/latitude: (.*)\n/);
		lastTrackerData['latitude'] = parseFloat(matches[1]);

		matches = inputData.match(/longitude: (.*)\n/);
		lastTrackerData['longitude'] = parseFloat(matches[1]);

		matches = inputData.match(/speed: (.*)\n/);
		lastTrackerData['speed'] = matches[1];

		matches = inputData.match(/direction: (.*)\n/);
		lastTrackerData['direction'] = matches[1];

		matches = inputData.match(/event: (.*)\n/);
		lastTrackerData['event'] = matches[1];

		matches = inputData.match(/voltage: (.*)\n/);
		lastTrackerData['voltage'] = matches[1];

		matches = inputData.match(/voltagePercent: (.*)\n/);
		lastTrackerData['voltagePercent'] = matches[1];

		$("trackerData").innerHTML = 'Id: ' + lastTrackerData['id'] + '<br>';
		// $("trackerData").innerHTML += lastTrackerData['trackerDeviceId'] + '<br>';
		// $("trackerData").innerHTML += 'Empfangszeit: ' + lastTrackerData['recivedTime'] + '<br>';
		// $("trackerData").innerHTML += lastTrackerData['imei'] + '<br>';
		$("trackerData").innerHTML += 'Trackerzeit: ' + lastTrackerData['time'] + '<br>';
		$("trackerData").innerHTML += 'Status: ' + lastTrackerData['status'] + '<br>';
		$("trackerData").innerHTML += 'Latitude: ' + lastTrackerData['latitude'] + '<br>';
		$("trackerData").innerHTML += 'Longitude: ' + lastTrackerData['longitude'] + '<br>';
		$("trackerData").innerHTML += 'Speed: ' + lastTrackerData['speed'] + ' km/h<br>';
		$("trackerData").innerHTML += 'Richtung: ' + lastTrackerData['direction'] + '°<br>';
		$("trackerData").innerHTML += 'Event: ' + lastTrackerData['event'] + '<br>';
		$("trackerData").innerHTML += 'Spannung: ' + lastTrackerData['voltage'] + ' Volt<br>';
		$("trackerData").innerHTML += 'Akkustand: ' + lastTrackerData['voltagePercent'] + '%';

		updateMap();
	}
}

function updateTrackerStatus()
{
	if(trackerStatus['status'] == 'online')
	{
		$("trackerConnected").style.display = "block";
		$("trackerDisconnected").style.display = "none";
	}
	else if(trackerStatus['status'] == 'offline')
	{
		$("trackerConnected").style.display = "none";
		$("trackerDisconnected").style.display = "block";
	}
}


// Hier arbeiten
function updateMap()
{
	map.removeLayer(vectorLayer);
	map.removeLayer(vectorLayer2);

	var vectorSource = new ol.source.Vector({
		features: (new ol.format.GeoJSON()).readFeatures({
			'type': 'FeatureCollection',
			'crs': {
					'type': 'name',
					'properties': {
						'name': 'EPSG:3857'
				}
			},
			'features': [{
				'type': 'Feature',
				'geometry': {
					'type': 'Point',
					'coordinates': new ol.proj.fromLonLat(
						[lastTrackerData['longitude'],
						lastTrackerData['latitude']]
					)
				}
			}]
		})
	});

	vectorLayer2 = new ol.layer.Vector({
		source: vectorSource,
		style: styleFunction
	});

	map.addLayer(vectorLayer2);

	view.setCenter(ol.proj.fromLonLat(
		[lastTrackerData['longitude'],
		lastTrackerData['latitude']])
	);
};
</script>