<?php
/*
Copyright (C) 2018 Daniel Wirths

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

namespace src\log;

use src\core\abstractController;
use src\user\loginService;
use src\settings\settingsRepository;

class logController extends abstractController
{
	public function __construct(
		logRepository $logRepository,
		logService $logService,
		loginService $loginService,
		settingsRepository $settingsRepository
	)
	{
		$this->logRepository = $logRepository;
		$this->logService = $logService;
		$this->loginService = $loginService;
		$this->settingsRepository = $settingsRepository;
	}

	public function logs()
	{
		$this->loginService->checkLoggedIn();

		$settings = $this->settingsRepository->all();

		$logs = $this->logRepository->getLogs(30);

		if(!empty($logs))
		{
			foreach($logs as $log)
			{
				$entrys[] = $this->logService->readLog($log["time"], $log["logData"], $log["level"]);
			}
		}

		$this->render("log/log", [
			'entrys' => $entrys,
			'settings' => $settings
		]);
	}
}
?>