<?php
/*
Copyright (C) 2018 Daniel Wirths

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
?>
<?php require __DIR__ . "/../main/header.php"; ?>
<?php require __DIR__ . "/../main/menu.php"; ?>

<main class="center">
	<div class="insert">
		<h1>Einstellungen editieren</h1><br>

		<?php if(!empty($saved[1])): ?>
			<b class="ok">Die Einstellungen wurde erfolgreich aktualisiert</b><br><br>
		<?php endif; ?>

		<?php if(!empty($errorCode[1])): ?>
			<b class="error">Bitte die Loginzeit angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[6])): ?>
			<b class="error">Die Maximale Login-Zeit beträgt derzeit <?php echo session_cache_expire(); ?> Minuten.</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[2])): ?>
			<b class="error">Bitte die Login-Versuche angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[3])): ?>
			<b class="error">Bitte die IP angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[4])): ?>
			<b class="error">Bitte die Maximale Warteschlange angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[5])): ?>
			<b class="error">Bitte den WebSocket angeben</b><br><br>
		<?php endif; ?>

		<form method="POST" action="<?php echo BASE_URL . $_SERVER["PATH_INFO"]; ?>">
			<label>
				Loginzeit (Maximal <?php echo session_cache_expire(); ?> Minuten):<br>
				<input type="number" max="<?php echo session_cache_expire(); ?>" name="loginTime" value="<?php echo e($entry["loginTime"]); ?>"><br>
			</label>
			<label>
				Login-Versuche:<br>
				<input type="number" min="1" name="loginTrys" value="<?php echo e($entry["loginTrys"]); ?>"><br>
			</label>
			<label>
				IP (ServerIP, 0 für alle IPs):<br>
				<input type="text" name="ip" value="<?php echo e($entry["ip"]); ?>"><br>
			</label>
			<label>
				Maximale Warteschlange:<br>
				<input type="number" name="maxClientsWait" value="<?php echo e($entry["maxClientsWait"]); ?>"><br>
			</label>
			<label>
				WebSocket Port:<br>
				<input type="number" name="wsport" value="<?php echo e($entry["wsport"]); ?>"><br>
			</label>

			<br>

			<input type="submit" name="save" value="Einstellungen speichern">
		</form>
	</div>
</main>

<?php require __DIR__ . "/../../src/js/countDownInclude.js"; ?>

<?php require __DIR__ . "/../main/footer.php"; ?>