<?php
/*
Copyright (C) 2018 Daniel Wirths

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
?>
<?php require __DIR__ . "/../main/header.php"; ?>
<?php require __DIR__ . "/../main/menu.php"; ?>

<main class="center">
	<div class="insert">
		<h1>Tracker Gerät editieren</h1><br>

		<?php if(!empty($saved[1])): ?>
			<b class="ok">Das Tracker Gerät wurde erfolgreich aktualisiert</b><br><br>
		<?php endif; ?>
		<?php if(!empty($saved[2])): ?>
			<b class="ok">Das Tracker Gerät wurde erfolgreich erstellt</b><br><br>
		<?php endif; ?>

		<?php if(!empty($errorCode[1])): ?>
			<b class="error">Bitte den Namen angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[2])): ?>
			<b class="error">Bitte die Imei angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[3])): ?>
			<b class="error">Bitte das Tracker Modell angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[4])): ?>
			<b class="error">Bitte bei der Telefonnummer nur Zahlen angeben.</b><br><br>
		<?php endif; ?>

		<form method="POST" action="<?php echo BASE_URL . $_SERVER["PATH_INFO"]; ?>?id=<?php echo e($entry["id"]); ?>">
			<label>
				ID:<br>
				<input type="text" name="id" value="<?php echo e($entry["id"]); ?>" readonly="readonly"><br>
			</label>
			<label>
				Tracker Geräte-Name:<br>
				<input type="text" name="name" value="<?php echo e($entry["name"]); ?>"><br>
			</label>
			<label>
				Imei:<br>
				<input type="number" max="999999999999999" name="imei" value="<?php echo e($entry["imei"]); ?>"><br>
			</label>
			<label>
				Telefonnummer:<br>
				<input type="text" name="phoneNumber" value="<?php echo e($entry["phoneNumber"]); ?>"><br>
			</label>
			<label>
				Tracker Modell:<br>
				<select name="trackerModelId">
					<option></option>
					<?php foreach ($trackerModel AS $model): ?>
						<option value="<?php echo e($model["id"]); ?>"<?php if(e($model["id"]) == $entry["trackerModelId"]) echo ' selected="selected"'; ?>><?php echo e($model["name"]); ?></option>
					<?php endforeach; ?>
				</select><br>
			</label>
			<label>
				Funktion:<br>
				<input type="text" name="function" value="<?php echo e($entry["function"]); ?>"><br>
			</label>
			<label>
				Status:<br>
				<input type="text" name="status" value="<?php echo e($entry["status"]); ?>"><br>
			</label>
			<label>
				UserId:<br>
				<input type="text" name="userId" value="<?php echo e($entry["userId"]); ?>" readonly="readonly"><br>
			</label>

			<br>

			<input type="submit" name="save" value="Tracker Gerät speichern">
			<input type="submit" onClick="return confirm('Wirklich löschen?');" name="delete" value="Tracker Gerät löschen">
		</form>
	</div>
</main>

<?php require __DIR__ . "/../../src/js/countDownInclude.js"; ?>

<?php require __DIR__ . "/../main/footer.php"; ?>